package com.ruoyi.project.training.spec.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.spec.mapper.TStApproveMapper;
import com.ruoyi.project.training.spec.domain.TStApprove;
import com.ruoyi.project.training.spec.service.ITStApproveService;

/**
 * 专项培训计划申请Service业务层处理
 *
 * @author ly
 * @date 2022-04-18
 */
@Service
public class TStApproveServiceImpl implements ITStApproveService
{
    @Autowired
    private TStApproveMapper tStApproveMapper;

    /**
     * 查询专项培训计划申请
     *
     * @param id 专项培训计划申请ID
     * @return 专项培训计划申请
     */
    @Override
    public TStApprove selectTStApproveById(Long id)
    {
        return tStApproveMapper.selectTStApproveById(id);
    }

    /**
     * 查询专项培训计划申请列表
     *
     * @param tStApprove 专项培训计划申请
     * @return 专项培训计划申请
     */
    @Override
    public List<TStApprove> selectTStApproveList(TStApprove tStApprove)
    {
        return tStApproveMapper.selectTStApproveList(tStApprove);
    }

    /**
     * 新增专项培训计划申请
     *
     * @param tStApprove 专项培训计划申请
     * @return 结果
     */
    @Override
    public int insertTStApprove(TStApprove tStApprove)
    {
        return tStApproveMapper.insertTStApprove(tStApprove);
    }

    /**
     * 修改专项培训计划申请
     *
     * @param tStApprove 专项培训计划申请
     * @return 结果
     */
    @Override
    public int updateTStApprove(TStApprove tStApprove)
    {
        return tStApproveMapper.updateTStApprove(tStApprove);
    }

    /**
     * 批量删除专项培训计划申请
     *
     * @param ids 需要删除的专项培训计划申请ID
     * @return 结果
     */
    @Override
    public int deleteTStApproveByIds(Long[] ids)
    {
        return tStApproveMapper.deleteTStApproveByIds(ids);
    }

    /**
     * 删除专项培训计划申请信息
     *
     * @param id 专项培训计划申请ID
     * @return 结果
     */
    @Override
    public int deleteTStApproveById(Long id)
    {
        return tStApproveMapper.deleteTStApproveById(id);
    }
}
